# Maintainer: Cameron Miller <cameron@codecameron.dev>
pkgname=kitty-cbsh
_pkgname=cbsh-configs
pkgver=1.0.r20.6604665
pkgrel=1
epoch=
pkgdesc="The Default Kitty Config for CBSH."
arch=('x86_64')
url="https://www.gitlab.com/cabooshyy/cbsh-configs.git"
license=('GPL3')
groups=()
depends=(kitty)
makedepends=(git)
checkdepends=()
optdepends=()
provides=(kitty-cbsh)
conflicts=()
replaces=()
backup=()
options=()
install=${pkgname}.install
changelog=
source=("git+$url")
noextract=()
md5sums=('SKIP')
validpgpkeys=()

pkgver() {
	cd "${_pkgname}"
    printf "1.0.r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

package() {
    cd cbsh-configs
    sudo rm -rf /etc/cbsh/.config/kitty/
    install -d ${pkgdir}/etc/cbsh/.config/kitty/
    cp -r ${srcdir}/${_pkgname}/etc/cbsh/.config/kitty/ ${pkgdir}/etc/cbsh/.config/kitty/
    install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
    install -Dm644 README.org "${pkgdir}/usr/share/doc/${pkgname}/README.org"
}
